# Class BaseSysTest

java.lang.Object
org.apache.zookeeper.test.system.BaseSysTest

Direct Known Subclasses:
  `SimpleSysTest`

public class BaseSysTest extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`prefix`

## Constructor Summary

Constructors
Constructor
Description
`BaseSysTest()`

## Method Summary

Modifier and Type
Method
Description
`void`
`configureClients(int count, Class<? extends Instance> clazz, String params)`
`void`
`configureServers(int count)`
`int`
`getClientCount()`
`String`
`getHostPort()`
`int`
`getServerCount()`
`static void`
`main(String[] args)`
`void`
`setUp()`
`void`
`startClient(int index)`
`void`
`startClients()`
`void`
`startServer(int index)`
`void`
`startServers()`
`void`
`stopClient(int index)`
`void`
`stopClients()`
`void`
`stopServer(int index)`
`void`
`stopServers()`
`void`
`tearDown()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### prefix

protected String prefix

## Constructor Details

### BaseSysTest

public BaseSysTest()

## Method Details

### setUp

public void setUp() throws Exception

Throws:
  `Exception`

### tearDown

public void tearDown() throws Exception

Throws:
  `Exception`

### getHostPort

public String getHostPort()

### getServerCount

public int getServerCount()

### getClientCount

public int getClientCount()

### startServers

public void startServers() throws IOException

Throws:
  `IOException`

### stopServers

public void stopServers() throws IOException

Throws:
  `IOException`

### startClients

public void startClients() throws IOException

Throws:
  `IOException`

### stopClients

public void stopClients() throws IOException

Throws:
  `IOException`

### configureServers

public void configureServers(int count) throws Exception

Throws:
  `Exception`

### startServer

public void startServer(int index) throws IOException

Throws:
  `IOException`

### stopServer

public void stopServer(int index) throws IOException

Throws:
  `IOException`

### configureClients

public void configureClients(int count, Class<? extends Instance> clazz, String params) throws Exception

Throws:
  `Exception`

### startClient

public void startClient(int index) throws IOException

Throws:
  `IOException`

### stopClient

public void stopClient(int index) throws IOException

Throws:
  `IOException`

### main

public static void main(String[] args)